Package org.apache.sling.commons.json.sling

# Class JsonObjectCreator

java.lang.Object
org.apache.sling.commons.json.sling.JsonObjectCreator

@Deprecated public abstract class JsonObjectCreator extends Object
Deprecated.
Creates a JSONObject from a resource

## Constructor Summary

Constructors
Constructor
Description
`JsonObjectCreator()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`static JSONObject`
`create(org.apache.sling.api.resource.Resource resource, int maxRecursionLevels)`
Deprecated.
Dump given resource in JSON, optionally recursing into its objects

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JsonObjectCreator

public JsonObjectCreator()
Deprecated.

## Method Details

### create

public static JSONObject create(org.apache.sling.api.resource.Resource resource, int maxRecursionLevels) throws JSONException
Deprecated.
Dump given resource in JSON, optionally recursing into its objects

Throws:
  `JSONException`